Bug 558968 - initscript lsb compliance
initscript lsb compliance
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.2
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Gordon Sim
ppecka
:
Depends On:
Blocks: 633349
  Show dependency treegraph
 
Reported: 2010-01-26 14:18 EST by ppecka
Modified: 2010-10-14 12:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the 'qpidd' component init script experienced LSB compliance issues. With this update, the aforementioned init script no longer experiences LSB compliance issues.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:07:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ppecka 2010-01-26 14:18:23 EST
Description of problem:

According to https://fedoraproject.org/wiki/Packaging/SysVInitScript qpidd
component init script have lsb compliance issues

How reproducible:
100%

Steps to Reproduce:
1.useradd testuserqa;\
  su testuserqa -c 'service qpidd restart';echo "RETVAL:$?"\
  userdel testuserqa

2. service qpidd;echo "RETVAL:$?"

3. service qpidd unimplemented;echo "RETVAL:$?"

4. service qpidd excess1 excess2;echo "RETVAL:$?"
  
5. service qpidd;

6. SERVICE=qpidd;qpidpath="$(which ${SERVICE})"; chmod 0444 ${qpidpath}; service ${SERVICE} restart; echo "RETVAL:$?";chmod 0755 ${qpidpath}


Actual results:
ad 1. "su" command return value is 0
ad 2. "service qpidd" command without arguments return value is 1
ad 3. "service qpidd unimplemented" command return value is 1 
ad 4. "service qpidd excess1 excess2" command return value is 1 
ad 5. "service qpidd" command help is not showing all script actions.
      Usage: /etc/init.d/qpidd {start|stop|restart|condrestart|status}
      - try-restart not mentioned in the usage
      - force-reload not mentioned in the usage
      - condrestart not implemented, but mentioned in the usage line\
        should have the same behaviour as try-restart
ad 6. initscript is not checking if service binary is executable

Expected results:
ad 1. "su" command expected return value 4
ad 2. "service qpidd" command expected value 2
ad 3. "service qpidd unimplemented" expected return value 2 or 3
ad 4. "service qpidd excess1 excess2" expected return value 2
ad 5. should show all implemented "actions"
ad 6. should return 5 if qpidd binary file is not executable or missing
Comment 1 ppecka 2010-04-15 12:41:44 EDT
i found another unclaimed situation i would like to point out here - when "no-data-dir" or "data-dir" option is specified in qpidd.conf and qpidd is started as service, options from config file are "ignored"
Comment 2 Gordon Sim 2010-04-30 12:06:46 EDT
Fixed in r939726. (The issue described in comment #1 is separate from this and is related to the inability to pass through env vars as described in bug 469919)
Comment 5 ppecka 2010-06-28 09:52:29 EDT
VERIFIED on RHEL 6 - i386 / x86_64:
with /distribution/MRG/Messaging/qpid_test_initscript
Comment 6 Martin Prpic 2010-10-08 07:15:32 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the 'qpidd' component init script experienced LSB compliance issues. With this update, the aforementioned init script no longer experiences LSB compliance issues.
Comment 8 errata-xmlrpc 2010-10-14 12:07:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.